#include "mmp_leddemo_objects.h"
#include "mmp_leddemo_resources.h"

//--------------------- User code ---------------------//
    #include "types.h"
    #include "mmp_leddemo_helpers.h"
//----------------- End of User code ------------------//

// Event Handlers


// BLUE led
void BlueOn() {
    LED_B = 1;
    blinkLED_B = 0;
    hlpBlueLedOn();
}

void BlueOff() {
   LED_B = 0;
   blinkLED_B = 0;
   hlpBlueLedOff();
   hlpCAN_RxIndicatorOff();
}

void BlueBlink() {
   if (blinkLED_B == 0)
   {
     blinkLED_B = 1;
     T100ms[_T100ms_LED_G] = 0;
   }
}

// GREEN led
void GreenOn() {
    LED_G = 1;
    blinkLED_G = 0;
    hlpGreenLedOn();
}

void GreenOff() {
    LED_G = 0;
    blinkLED_G = 0;
    hlpGreenLedOff();
}

void GreenBlink() {
    blinkLED_G = 1;
}

// RED led
void RedOn() {
     LED_R = 1;
     blinkLED_R = 0;
     hlpRedLedOn();
}

void RedOff() {
     LED_R = 0;
     blinkLED_R = 0;
     hlpRedLedOff();
}

void RedBlink() {
    blinkLED_R = 1;
}