/*******************************************************************************
***        module: mmp_leddemo_helpers.h
***            by: Jack Eberson
***      compiler: MikroC PRO for ARM V6.0.0
***      hardware: STM32F746ZG
***   description: (display) helper routines
*******************************************************************************/
#include "types.h"
#include "mmp_leddemo_objects.h"

void hlpShowLed(TCircle *);
void hlpRedLedOn();
void hlpRedLedOff();
void hlpGreenLedOn();
void hlpGreenLedOff();
void hlpBlueLedOn();
void hlpBlueLedOff();
void hlpCAN_TxIndicatorOn();
void hlpCAN_TxIndicatorOff();
void hlpCAN_RxIndicatorOn();
void hlpCAN_RxIndicatorOff();
void hlpCAN_WriteID(uint32_t);
void hlpCAN_WriteDLC(uint8_t);
void hlpCAN_WriteDATA(uint8_t, uint8_t *);
void hlpDisplayReceivedCAN_Data(uint32_t , uint8_t , uint8_t *);


